## ros-humble-rosbag2-cpp 0.15.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_cpp)

add_definitions(-D_SRC_REINDEX_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}/test/rosbag2_cpp/reindex_test_bags")

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wthread-safety)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

option(DISABLE_SANITIZERS "disables the use of gcc sanitizers" ON)
if(NOT DISABLE_SANITIZERS AND CMAKE_COMPILER_IS_GNUCXX)
  include(CheckCXXSourceRuns)
  set(OLD_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})
  set(CMAKE_REQUIRED_FLAGS "${OLD_CMAKE_REQUIRED_FLAGS} -fsanitize=leak")
  check_cxx_source_runs("int main() {}" HAVE_SANITIZERS)
  set(CMAKE_REQUIRED_FLAGS ${OLD_CMAKE_REQUIRED_FLAGS})
  if(NOT HAVE_SANITIZERS)
    set(DISABLE_SANITIZERS ON)
    message(WARNING "Sanitizers aren't supported by the compiler or environment - disabling")
  endif()
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_implementation REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_runtime_cpp REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)
find_package(rosidl_typesupport_introspection_cpp REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_cpp/cache/cache_consumer.cpp
  src/rosbag2_cpp/cache/message_cache_buffer.cpp
  src/rosbag2_cpp/cache/message_cache_circular_buffer.cpp
  src/rosbag2_cpp/cache/message_cache.cpp
  src/rosbag2_cpp/cache/circular_message_cache.cpp
  src/rosbag2_cpp/clocks/time_controller_clock.cpp
  src/rosbag2_cpp/converter.cpp
  src/rosbag2_cpp/info.cpp
  src/rosbag2_cpp/reader.cpp
  src/rosbag2_cpp/readers/sequential_reader.cpp
  src/rosbag2_cpp/rmw_implemented_serialization_format_converter.cpp
  src/rosbag2_cpp/serialization_format_converter_factory.cpp
  src/rosbag2_cpp/types/introspection_message.cpp
  src/rosbag2_cpp/typesupport_helpers.cpp
  src/rosbag2_cpp/types/introspection_message.cpp
  src/rosbag2_cpp/writer.cpp
  src/rosbag2_cpp/writers/sequential_writer.cpp
  src/rosbag2_cpp/reindexer.cpp)

ament_target_dependencies(${PROJECT_NAME}
  PUBLIC
  ament_index_cpp
  pluginlib
  rclcpp
  rcpputils
  rcutils
  rmw
  rmw_implementation
  rosbag2_storage
  rosidl_runtime_c
  rosidl_runtime_cpp
  rosidl_typesupport_cpp
  rosidl_typesupport_introspection_cpp
)

target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_CPP_BUILDING_DLL")

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(
  pluginlib
  rclcpp
  rmw
  rmw_implementation
  rosbag2_storage
  rosidl_runtime_c
  rosidl_runtime_cpp
  rosidl_typesupport_cpp
  rosidl_typesupport_introspection_cpp
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_library(
    converter_test_plugins
    SHARED
    test/rosbag2_cpp/serializer_test_plugin.cpp
    test/rosbag2_cpp/converter_test_plugin.cpp)
  ament_target_dependencies(converter_test_plugins rosbag2_storage)
  target_link_libraries(converter_test_plugins ${PROJECT_NAME})
  install(
    TARGETS converter_test_plugins
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(rosbag2_cpp test/rosbag2_cpp/converter_test_plugin.xml)

  ament_add_gmock(test_converter_factory
    test/rosbag2_cpp/test_converter_factory.cpp)
  if(TARGET test_converter_factory)
    target_link_libraries(test_converter_factory ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_typesupport_helpers
    test/rosbag2_cpp/test_typesupport_helpers.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_typesupport_helpers)
    target_link_libraries(test_typesupport_helpers ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_info
    test/rosbag2_cpp/test_info.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_info)
    target_link_libraries(test_info ${PROJECT_NAME})
    ament_target_dependencies(test_info rosbag2_test_common test_msgs)
  endif()

  ament_add_gmock(test_sequential_reader
    test/rosbag2_cpp/test_sequential_reader.cpp)
  if(TARGET test_sequential_reader)
    ament_target_dependencies(test_sequential_reader rosbag2_storage rosbag2_test_common test_msgs)
    target_link_libraries(test_sequential_reader ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_storage_without_metadata_file
    test/rosbag2_cpp/test_storage_without_metadata_file.cpp)
  if(TARGET test_storage_without_metadata_file)
    ament_target_dependencies(test_storage_without_metadata_file rosbag2_storage)
    target_link_libraries(test_storage_without_metadata_file ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_message_cache
    test/rosbag2_cpp/test_message_cache.cpp)
  if(TARGET test_message_cache)
    target_link_libraries(test_message_cache ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_circular_message_cache
    test/rosbag2_cpp/test_circular_message_cache.cpp)
  if(TARGET test_circular_message_cache)
    target_link_libraries(test_circular_message_cache ${PROJECT_NAME})
  endif()


  # If compiling with gcc, run this test with sanitizers enabled
  ament_add_gmock(test_ros2_message
    test/rosbag2_cpp/types/test_ros2_message.cpp
    src/rosbag2_cpp/typesupport_helpers.cpp
    src/rosbag2_cpp/types/introspection_message.cpp)
  if(TARGET test_ros2_message)
    target_compile_definitions(test_ros2_message PRIVATE "ROSBAG2_CPP_BUILDING_DLL")
    if(NOT DISABLE_SANITIZERS)
      target_compile_options(test_ros2_message PUBLIC $<$<CXX_COMPILER_ID:GNU>:-fsanitize=leak>)
      target_link_libraries(test_ros2_message $<$<CXX_COMPILER_ID:GNU>:-fsanitize=leak>)
    endif()
    target_include_directories(test_ros2_message
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)
    ament_target_dependencies(test_ros2_message
      ament_index_cpp
      rcpputils
      rosbag2_storage
      rosidl_runtime_cpp
      rosidl_typesupport_introspection_cpp
      rosidl_typesupport_cpp
      test_msgs)
  endif()

  ament_add_gmock(test_sequential_writer
    test/rosbag2_cpp/test_sequential_writer.cpp)
  if(TARGET test_sequential_writer)
    ament_target_dependencies(test_sequential_writer rosbag2_storage rosbag2_test_common test_msgs)
    target_link_libraries(test_sequential_writer ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_multifile_reader
    test/rosbag2_cpp/test_multifile_reader.cpp)
  if(TARGET test_multifile_reader)
    ament_target_dependencies(test_multifile_reader rosbag2_storage)
    target_link_libraries(test_multifile_reader ${PROJECT_NAME})
  endif()

  ament_add_gmock(test_time_controller_clock
    test/rosbag2_cpp/test_time_controller_clock.cpp)
  if(TARGET test_time_controller_clock)
    target_link_libraries(test_time_controller_clock ${PROJECT_NAME})
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-rosbag2-cpp (0.15.7-1jammy) jammy; urgency=high

  * Rewrite TimeControllerClockTest.unpaused_sleep_returns_true to be correct (backport #1384 <https://github.com/ros2/rosbag2/issues/1384>) (#1390 <https://github.com/ros2/rosbag2/issues/1390>)
  * Contributors: Bernat, Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.6-1jammy) jammy; urgency=high

  * Added close to writer (#1363 <https://github.com/ros2/rosbag2/issues/1363>)
    Co-authored-by: Bernat <mailto:bernat.gaston@movvo.eu>
  * Contributors: Bernat

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.5-1jammy) jammy; urgency=high

  * Replace std::filesystem::path(..) with rcpputils::fs::path(..) (#1104 <https://github.com/ros2/rosbag2/issues/1104>) (#1280 <https://github.com/ros2/rosbag2/issues/1280>)
  * Fix issue where sequentialwriter only sets metadata duration to the duration of the final file (#1098 <https://github.com/ros2/rosbag2/issues/1098>) (#1101 <https://github.com/ros2/rosbag2/issues/1101>)
  * Delete obsolete compression_options.cpp from rosbag2_cpp (#1078 <https://github.com/ros2/rosbag2/issues/1078>) (#1259 <https://github.com/ros2/rosbag2/issues/1259>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.4-1jammy) jammy; urgency=high

  * [Humble] Reader and writer can use default storage by not specifying (backport #1167 <https://github.com/ros2/rosbag2/issues/1167>) (#1174 <https://github.com/ros2/rosbag2/issues/1174>)
  * Contributors: mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.3-1jammy) jammy; urgency=high

  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>) (#1037 <https://github.com/ros2/rosbag2/issues/1037>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Geoffrey Biggs, Keisuke Shima, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.1-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.15.0-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.13.0-1jammy) jammy; urgency=high

  * Fix relative path syntax for cpplint (#947 <https://github.com/ros2/rosbag2/issues/947>)
  * Mark up the message_cache with TSA annotations (#946 <https://github.com/ros2/rosbag2/issues/946>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-cpp (0.12.0-1jammy) jammy; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Redesign in cache consumer and circular message cache to get rid from busy loop (#941 <https://github.com/ros2/rosbag2/issues/941>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Remove JumpHandler copy-implementation from PlayerClock/TimeControllerClock (#935 <https://github.com/ros2/rosbag2/issues/935>)
  * Auto-detect storage_id for Reader (if possible) (#918 <https://github.com/ros2/rosbag2/issues/918>)
  * Contributors: Chris Lalancette, Emerson Knapp, Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-cpp (0.11.0-1jammy) jammy; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Use the message_introspection header to get MessageMember. (#903 <https://github.com/ros2/rosbag2/issues/903>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)


=== debian/control ===
Source: ros-humble-rosbag2-cpp
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rosbag2-storage, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-cpp, ros-humble-rosidl-typesupport-introspection-cpp, ros-humble-shared-queues-vendor, ros-humble-test-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rosbag2-storage, ros-humble-rosbag2-storage-default-plugins, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-cpp, ros-humble-rosidl-typesupport-introspection-cpp, ros-humble-shared-queues-vendor, ros-humble-ros-workspace
Description: C++ ROSBag2 client library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rosbag2-cpp 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-cpp (0.15.12-1bookworm) bookworm; urgency=high

  * [Humble] Add topics with zero message counts to the SQLiteStorage::get_metadata(). (#1722 <https://github.com/ros2/rosbag2/issues/1722>)
  * [humble] Bugfix for bag_split event callbacks called to early with file compression (backport #1643 <https://github.com/ros2/rosbag2/issues/1643>) (#1733 <https://github.com/ros2/rosbag2/issues/1733>)
  * [humble] rosbag2_cpp: test more than one storage plugin (backport #1196 <https://github.com/ros2/rosbag2/issues/1196>) (#1721 <https://github.com/ros2/rosbag2/issues/1721>)
  * [humble] Remove explicit sqlite3 from code (backport #1166 <https://github.com/ros2/rosbag2/issues/1166>) (#1723 <https://github.com/ros2/rosbag2/issues/1723>)
  * [humble] rosbag2_storage: expose default storage ID as method (backport #1146 <https://github.com/ros2/rosbag2/issues/1146>) (#1724 <https://github.com/ros2/rosbag2/issues/1724>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for writer not being able to open again after closing (backport #1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1653 <https://github.com/ros2/rosbag2/issues/1653>)
  * [humble] Add BagSplitInfo service call on bag close (backport #1422 <https://github.com/ros2/rosbag2/issues/1422>) (#1637 <https://github.com/ros2/rosbag2/issues/1637>)
  * Fix split by time. (backport #1022 <https://github.com/ros2/rosbag2/issues/1022>) (#1616 <https://github.com/ros2/rosbag2/issues/1616>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.9-1bookworm) bookworm; urgency=high

  * call cv.wait_until only if necessary. (#1521 <https://github.com/ros2/rosbag2/issues/1521>) (#1523 <https://github.com/ros2/rosbag2/issues/1523>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.7-1bookworm) bookworm; urgency=high

  * Rewrite TimeControllerClockTest.unpaused_sleep_returns_true to be correct (backport #1384 <https://github.com/ros2/rosbag2/issues/1384>) (#1390 <https://github.com/ros2/rosbag2/issues/1390>)
  * Contributors: Bernat, Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.6-1bookworm) bookworm; urgency=high

  * Added close to writer (#1363 <https://github.com/ros2/rosbag2/issues/1363>)
    Co-authored-by: Bernat <mailto:bernat.gaston@movvo.eu>
  * Contributors: Bernat

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.5-1bookworm) bookworm; urgency=high

  * Replace std::filesystem::path(..) with rcpputils::fs::path(..) (#1104 <https://github.com/ros2/rosbag2/issues/1104>) (#1280 <https://github.com/ros2/rosbag2/issues/1280>)
  * Fix issue where sequentialwriter only sets metadata duration to the duration of the final file (#1098 <https://github.com/ros2/rosbag2/issues/1098>) (#1101 <https://github.com/ros2/rosbag2/issues/1101>)
  * Delete obsolete compression_options.cpp from rosbag2_cpp (#1078 <https://github.com/ros2/rosbag2/issues/1078>) (#1259 <https://github.com/ros2/rosbag2/issues/1259>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.4-1bookworm) bookworm; urgency=high

  * [Humble] Reader and writer can use default storage by not specifying (backport #1167 <https://github.com/ros2/rosbag2/issues/1167>) (#1174 <https://github.com/ros2/rosbag2/issues/1174>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.3-1bookworm) bookworm; urgency=high

  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>) (#1037 <https://github.com/ros2/rosbag2/issues/1037>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Geoffrey Biggs, Keisuke Shima, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.1-1bookworm) bookworm; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-cpp (0.15.0-1bookworm) bookworm; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)


=== debian/control ===
Source: ros-humble-rosbag2-cpp
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rosbag2-storage, ros-humble-rosbag2-storage-default-plugins <!nocheck>, ros-humble-rosbag2-storage-mcap <!nocheck>, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-cpp, ros-humble-rosidl-typesupport-introspection-cpp, ros-humble-shared-queues-vendor, ros-humble-test-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rosbag2-storage, ros-humble-rosidl-runtime-c, ros-humble-rosidl-runtime-cpp, ros-humble-rosidl-typesupport-cpp, ros-humble-rosidl-typesupport-introspection-cpp, ros-humble-shared-queues-vendor, ros-humble-ros-workspace
Description: C++ ROSBag2 client library

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rosbag2-cpp//opt/ros/humble/opt/rosbag2_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
